/**
 * 将对象添加当作参数拼接到URL上面
 * @param baseUrl 需要拼接的url
 * @param obj 参数对象
 * @returns {string} 拼接后的对象
 * 例子:
 *  let obj = {a: '3', b: '4'}
 *  setObjToUrlParams('www.baidu.com', obj)
 *  ==>www.baidu.com?a=3&b=4
 */
// export function setObjToUrlParams(baseUrl: string, obj: object): string {
//   let parameters = '';
//   let url = '';
//   for (const key in obj) {
//     parameters += key + '=' + encodeURIComponent(obj[key]) + '&';
//   }
//   parameters = parameters.replace(/&$/, '');
//   if (/\?$/.test(baseUrl)) {
//     url = baseUrl + parameters;
//   } else {
//     url = baseUrl.replace(/\/?$/, '?') + parameters;
//   }
//   return url;
// }

// 格式化下拉选项
export const formatDataList = (dataList: any, childName = 'children') => {
  dataList.forEach((item: any) => {
    if (item[childName] && item[childName].length > 0) {
      item.isLeaf = false
      return formatDataList(item[childName])
    }
    item.isLeaf = true
  })
  return dataList
}

// 学生地址
export function vaildUrl() {
  let url = window.location.href
  let returnUrl = ''
  if (/online/.test(url)) {
    //线上
    returnUrl = 'https://online.lexiaoya.cn'
  } else if (/test/.test(url)) {
    // dev 环境
    returnUrl = 'https://test.lexiaoya.cn'
  } else if (/dev/.test(url)) {
    // dev 环境
    returnUrl = 'https://dev.lexiaoya.cn'
  } else {
    // 默认dev环境
    returnUrl = 'https://dev.lexiaoya.cn'
  }
  return returnUrl
}
